Bug 73500

Summary: Implement CSS display property in CSSStyleApplyProperty.
Product: WebKit Reporter: Luke Macpherson <macpherson>
Component: New BugsAssignee: Luke Macpherson <macpherson>
Status: RESOLVED FIXED    
Severity: Normal CC: jchaffraix, kling, koivisto, macpherson, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch none

Description Luke Macpherson 2011-11-30 16:50:29 PST
Implement css display property in CSSStyleApplyProperty.
Comment 1 Luke Macpherson 2011-11-30 16:53:23 PST
Created attachment 117297 [details]
Patch
Comment 2 Andreas Kling 2011-12-03 22:12:04 PST
Comment on attachment 117297 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=117297&action=review

> Source/WebCore/ChangeLog:3
> +        Implement css display property in CSSStyleApplyProperty.

css -> CSS

> Source/WebCore/css/CSSStyleApplyProperty.cpp:1183
> +    static inline bool isSVGElement(CSSStyleSelector* selector)

I'm not a fan of this name, since the function answers more than just "is it an SVG element".

> Source/WebCore/css/CSSStyleApplyProperty.cpp:1203
> +    static void applyInitialValue(CSSStyleSelector* selector)
> +    {
> +        selector->style()->setDisplay(RenderStyle::initialDisplay());
> +    }

Shouldn't we have the if (isSVGElement.....) early return before setting the value in here, too?
Comment 3 Luke Macpherson 2011-12-06 18:33:11 PST
Created attachment 118157 [details]
Patch
Comment 4 WebKit Review Bot 2011-12-11 18:24:46 PST
Comment on attachment 118157 [details]
Patch

Clearing flags on attachment: 118157

Committed r102552: <http://trac.webkit.org/changeset/102552>
Comment 5 WebKit Review Bot 2011-12-11 18:24:51 PST
All reviewed patches have been landed.  Closing bug.